var app = getApp()
var that = null
var sopenFrame = null
Page({
  data: {
    balanceImg: '../../images/order-null.png',
    tipWords: '亲，暂时没有数据哦！',
    balanceHidden: false,
    nobalanceHidden: true,
    loadingHidden: false,
    mybalance: [],
    Start: 0,
    ZZEnable: 1,
    TXEnable: 0,
    nav: 0,
  },

  onLoad: function (options) {
    that = this
    if (options.t) {
      that.setData({
        nav: options.t
      });
    }

    sopenFrame = setInterval(function () {
      if (app.globalData.IFRefreshmybalance == 1) {
        app.globalData.IFRefreshmybalance = 0
        that.clearCache(); //清本页缓存
        that.getlist(0)
      }
    }, 1000);
    that.clearCache(); //清本页缓存
    that.getlist(0)
  }, // 下拉刷新
  onPullDownRefresh: function () {
    //在当前页面显示导航条加载动画
    wx.showNavigationBarLoading();
    //显示 loading 提示框。需主动调用 wx.hideLoading 才能关闭提示框
    wx.showLoading({
      title: '刷新中...',
    })
    that.clearCache();
    that.getlist(1); //第一次加载数据
  },

  // 页面上拉触底事件（上拉加载更多）
  onReachBottom: function () {
    if (that.data.loadingHidden) {
      that.setData({
        loadingHidden: false
      });
      that.getlist(2); //后台获取新数据并追加渲染
    } else {
      wx.hideLoading();
    }
  },

  // 清缓存
  clearCache: function () {
    that.setData({
      balanceHidden: false,
      nobalanceHidden: true,
      loadingHidden: false,
      Start: 0,
      mybalance: []
    });
  },
  getlist: function (gp) {
    that = this
    var userId = wx.getStorageSync("userId")
    wx.request({
      url: app.globalData.apiurl + "/api/api.ashx?action=user_sign_list",
      data: {
        userId: (userId == null ? "" : userId)
      },
      method: "POST",
      dataType: "json",
      header: {
        "content-type": "application/x-www-form-urlencoded"
      },
      success(res) {
        if (res.data.status == 1) {
          var tmpArr = null;
          tmpArr = that.data.mybalance;
          tmpArr.push.apply(tmpArr, res.data.listResult);
          that.setData({
            mybalance: tmpArr,
            Start: that.data.Start + res.data.listResult.length,
            loadingHidden: true
          })
          if (gp == 0 || gp == 1) {

            if (res.data.listResult.length > 0) {
              that.setData({
                balanceHidden: false,
                nobalanceHidden: true

              })
            } else {
              that.setData({
                balanceHidden: true,
                nobalanceHidden: false
              })
            }
          }
        }
        if (gp == 1) {
          //隐藏loading 提示框
          wx.hideLoading();
          //隐藏导航条加载动画
          wx.hideNavigationBarLoading();
          //停止下拉刷新
          wx.stopPullDownRefresh();
        }
      }
    })
  },
  onnav: function (e) {
    var index = e.currentTarget.dataset.id
    that.setData({
      nav: index
    })
    that.clearCache();
    that.getlist(0);
  }
})
